org.apache.cassandra.utils

## Class MergeIterator.Candidate<In>

- java.lang.Object
- - org.apache.cassandra.utils.MergeIterator.Candidate<In>

All Implemented Interfaces:
  java.lang.Comparable<MergeIterator.Candidate<In>>

Enclosing class:
  MergeIterator<In,Out>

    protected static final class MergeIterator.Candidate<In>
    extends java.lang.Object
    implements java.lang.Comparable<MergeIterator.Candidate<In>>

### Constructor Summary

Constructors
Constructor and Description
`Candidate(int idx, java.util.Iterator<? extends In> iter, java.util.Comparator<? super In> comp)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected MergeIterator.Candidate<In>` `advance()`
`int` `compareTo(MergeIterator.Candidate<In> that)`
`void` `consume(MergeIterator.Reducer reducer)`
`boolean` `needsAdvance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Candidate

    public Candidate(int idx,
                     java.util.Iterator<? extends In> iter,
                     java.util.Comparator<? super In> comp)

### Method Detail

#### advance

    protected MergeIterator.Candidate<In> advance()

Returns:
  this if our iterator had an item, and it is now available, otherwise null

#### compareTo

    public int compareTo(MergeIterator.Candidate<In> that)

Specified by:
  `compareTo` in interface `java.lang.Comparable<MergeIterator.Candidate<In>>`

#### consume

    public void consume(MergeIterator.Reducer reducer)

#### needsAdvance

    public boolean needsAdvance()